#
# Configuration stuff for secure rpc tools
#

##################################################################
# Optimization level for user space programs
OPT	= -g

# User-tunable parameters
#
# MUST_USE_DEVRANDOM	Always use /dev/random for random number generation.
#			If opening the device fails, abort.
#
HAVE	= -DMUST_USE_DEVRANDOM

# Where and how to install manpages
MANDIR	= /usr/man
MAN1EXT	= 1
MAN5EXT	= 5
MAN8EXT	= 8
MAN9EXT	= 9
MANOWNER= man
MANGROUP= man

################# END OF USER SERVICEABLE PARTS ##################
MAKEFLAGS += --no-print-directory
CC	= gcc
AR	= ar
LD	= ld
RANLIB	= ranlib
GETKVER	= $(TOP)/tools/getkversion

AFLAGS	= -I$(TOP)/include -Wall -m486 -pipe $(HAVE)
CFLAGS	= $(OPT) $(AFLAGS)
KFLAGS	= -D__KERNEL__ -I/usr/src/linux/include $(AFLAGS) -O2 \
		-fomit-frame-pointer -DMODULE -DMODVERSIONS \
		-D__NO_VERSION__ $(KDEBUG)
LDFLAGS	= $(OPT)
LINK	= -L$(TOP)/lib -lmisc -lnsl

INSTALLMAN = install -o $(MANOWNER) -g $(MANOWNER) -m 644
MAN1DIR	= $(MANDIR)/man$(MAN1EXT)
MAN5DIR	= $(MANDIR)/man$(MAN5EXT)
MAN8DIR	= $(MANDIR)/man$(MAN8EXT)
MAN9DIR	= $(MANDIR)/man$(MAN9EXT)
